extends ../base.jade

block title
  title Редактирование

block scripts
  script(src="//cdn.ckeditor.com/4.4.5/standard-all/ckeditor.js")

block vars
  - var page = 'edit'
  - var schema = [{name:'name',title:'Название',type:'string',required: true},{name:'price',title:'Цена (руб.)',type:'integer',required: true},{name: 'type',title:'Тип',type: 'select',select_type: 'single',enum: Data.types.service,required: true}]
  //- - var schema = [
  //-   {
  //-     name:'name',
  //-     title:'Название',
  //-     type:'string',
  //-     required: true
  //-   },{
  //-     name:'price',
  //-     title:'Цена (руб.)',
  //-     type:'integer',
  //-     required: true
  //-   },{
  //-     name: 'type',
  //-     title:'Тип',
  //-     type: 'select',
  //-     select_type: 'single',
  //-     enum: Data.types.service,
  //-     required: true
  //-   }
  //- ]

block main
  .PW.isle
    if action === 'create'
      h2 Новая услуга
    else 
      a.toRight.Fsg(href='/doctor/'+ doctor.id +'?_method=DELETE') Удалить
      h2 Редактирование услуги

    form(method="POST", action= "/service"+(action === 'edit'? '/'+service.id+'?_method=PUT' : '' ))
      //- input(type="hidden", name="_csrf", value= _csrf)
      != Html.edit_entity_form(service, schema)
      button.connect(type="submit")= (action === 'create')? 'Создать' : 'Сохранить изменения'